/**
 * package for classes concerning textures
 */
package simogl.texture;

/**
 * This class represents texture coordinates for a triangle
 * @author Frank Bruns
 *
 */
public class TextureCoordinate
{
	float texS = 0f;
	float texT = 0f;
	
	/**
	 * Creates a new texture coordinate
	 * @param s s-coordinate
	 * @param t t-coordinate
	 */
	public TextureCoordinate(float s, float t)
	{
		this.texS = s;
		this.texT = t;
	}
	
	/**
	 * Returns s-coordinate
	 * @return s-coordinate
	 */
	public float getS()
	{
		return this.texS;
	}
	
	/**
	 * Sets the s-coordinate
	 * @param s s-coordinate
	 */
	public void setS(float s)
	{
		this.texS = s;
	}
	
	/**
	 * Returns t-coordinate
	 * @return t-coordinate
	 */
	public float getT()
	{
		return this.texT;
	}
	
	/**
	 * Sets the t-coordinate
	 * @param t t-coordinate
	 */
	public void setT(float t)
	{
		this.texT = t;
	}
}
